#ifndef _Mustikka_HPP_
#define _Mustikka_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class Marja
{
public:
	Marja() {}; 
	~Marja() {};
    float st;
    float et;
    Vector pos;


};

class Varpu
{
public:
	Varpu() {};
	~Varpu() {};
    int splinecount;
    CatmullRom **splines;

    float *splinest;
    float *splineet;
    int marjacount;
    int marjacount2;
    Marja *marjat;
    Marja *marjat2;

    Vector p;
    Vector p2;
    float st;
    float et;


    Vector color;
    Vector *splinecolors;

};

class Mustikka : public Base
{
	public:

		Mustikka();
		~Mustikka();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        int vcount;
        Varpu **varvut;

        float st;
        float et;

        //kuu
        Vector k1, k2, k3, k4;


		bool pari;
		TriggerSystem *trigger;

		void renderScene(float pos, float alpha);
};

#endif
